tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jesse Farinacci <jie...@gmail.com>
Subject poller error: tomcat 7.0.28, native 1.1.24, apr 1.3.3
Date Fri, 22 Jun 2012 04:51:52 GMT
Greetings,

I'm encountering a problem migrating to apache tomcat 7.0.28 with IBM
J9 VM (build 2.4, JRE 1.6.0 IBM J9 2.4 Linux s390x-64
jvmxz6460sr10fp1-20120202_101568 (JIT enabled, AOT enabled). Here is
the relevant log information:

22-Jun-2012 00:41:05.701 INFO [AsyncFileHandlerWriter-1149650054]
org.apache.catalina.core.AprLifecycleListener.init Loaded APR based
Apache Tomcat Native library 1.1.24 using APR version 1.3.3.
22-Jun-2012 00:41:05.705 INFO [AsyncFileHandlerWriter-1149650054]
org.apache.catalina.core.AprLifecycleListener.init APR capabilities:
IPv6 [true], sendfile [true], accept filters [false], random [true].
[...snip...]
[..client makes a request..]
22-Jun-2012 00:42:06.847 SEVERE [AsyncFileHandlerWriter-1149650054]
org.apache.tomcat.util.net.AprEndpoint$Poller.run Unexpected poller
error
 java.lang.NoSuchMethodError: org/apache/tomcat/jni/Poll.addWithTimeout(JJIJ)I
        at org.apache.tomcat.util.net.AprEndpoint$Poller.run(AprEndpoint.java:1236)

I am pretty sure this is user error, but.. anyone know what I did
wrong? I have tomcat native 1.1.22 and it working just fine with
apache tomcat 7.0.27.

-Jesse

-- 
There are 10 types of people in this world, those
that can read binary and those that can not.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message